python模块安装:numpy、pylab(转)

今天在编写python脚本时,要用到一些常用的模块:numpy、pylab。这里大概记录一下大致的安装方法和需要的软件包。
(1)numpy-1.6.1-win32-superpack-python2.7.exe
(2)matplotlib-1.3.0.win32-py2.7.exe
(3)pyparsing-2.0.1.win32-py2.7.exe
(4)scipy-0.9.0-win32-superpack-python2.7.exe
安装完后,提示错误:raise ImportError("matplotlib requires dateutil") ImportError: matplotlib requires dateutil
于是,在网上查找方法,下载了对应的dateutil.tar.gz版本,但是最终还是安装不能完成。最终在百度百科里面找到了安装方法,采用easy_install。
首先,下载对应版本的setuptools,我这里用的是setuptools-1.1.6.win32-py2.7.exe,单击安装;
然后,配置系统环境变量,在Path中加入:例如:D:\Python27\Script;  在我的电脑中是:C:\Python27\Scripts
最后,开始->运行,输入 easy_install "python_dateutil==1.5"

这两天发现,我们可以通过'easy_install'安装各种模块,方便解决我们的各种问题:

easy_install paramiko

easy_install crypto

展开阅读全文

没有更多推荐了,返回首页